## mppenc 1.16

=== src/CMakeLists.txt ===
add_definitions(-DMPP_ENCODER -DFAST_MATH -DCVD_FASTLOG)
add_executable(mppenc analy_filter encode_sv7 huffsv7 profile stderr winmsg ans fastmath keyboard psy tags bitstream fft4g mppenc psy_tab tools cvd fft_routines pipeopen quant wave_in)

if(WIN32)
target_link_libraries(mppenc winmm)
endif(WIN32)

if(NOT MSVC)
target_link_libraries(mppenc m)
endif(NOT MSVC)

if(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)
target_link_libraries(mppenc ossaudio)
endif(CMAKE_SYSTEM_NAME STREQUAL OpenBSD)

install(TARGETS mppenc RUNTIME DESTINATION bin)

=== debian/changelog ===
mppenc (1.16-3) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1078820)
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * Refer to specific version of license GPL-3+, LGPL-2.1+.

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 14:09:48 +0100

mppenc (1.16-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113295)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:08:51 +0300

mppenc (1.16-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1078820
  * Add Homepage field with proper homepage link
    Closes: #615412
  * Fix watch file
    Closes: #449922
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #965730
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for mppenc.
  * debian/rules: Short dh
    Closes: #999076, #853007
  * DEP5
  * Remove homepage from description
    Closes: #615412
  * Remove Windows-only parameters for xml-source for manpage
    (thanks for the patch to Edward J. Shornock)
    Closes: #480042
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Sat, 07 Sep 2024 23:13:54 +0200

mppenc (1.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upgrade to dpkg source format 3.0 (quilt).
  * kfreebsd-gnu_ftbfs.diff: Fix FTBFS on GNU/kFreeBSD using patch from
    Cyril Brulebois. (Closes: #540131)

 -- Robert Millan <rmh@debian.org>  Sun, 08 Apr 2012 22:06:40 +0200

mppenc (1.16-1) unstable; urgency=low

  * Initial release (Closes: #413286).

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Sat,  3 Mar 2007 21:58:15 +0100

=== debian/control ===
Source: mppenc
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jorge Salamero Sanz <bencer@cauterized.net>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/mppenc
Vcs-Git: https://salsa.debian.org/multimedia-team/mppenc.git
Homepage: https://www.musepack.net/
Rules-Requires-Root: no

Package: mppenc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wavpack, flac
Description: Musepack lossy audio codec encoder
 Musepack is a lossy audio codec specifically optimized for transparent
 compression of stereo audio at bitrates of 160-180 kbit/s.
 .
 This package contains the encoder, for decoding see libmpcdec3.

=== debian/watch ===
Version: 5

Source: https://www.musepack.net/index.php?pg=src
Matching-Pattern: .*/source/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
